Subject: chown gets permission denied

From: Richard Woolley <[email-masked]>
Date: Tue, 18 Oct 2011 16:07:47 -0700

When trying to change ownership of the files in a directory, I mistakenly had the settings wrong in the command, so I got the following
ls -l
total 16
drw-rw-r--  4  user proj1 4096 Sep 28 14:23 doc/
drw-rw-r-- 24 user proj1 4096 Sep 28 14:27 modules/
drw-rw-r--  3 user proj1 4096 Sep 28 14:23 project/
ls -l project
total 0
?--------- ? ? ? ?            ? compile.conf
?--------- ? ? ? ?            ? myproject.conf
?--------- ? ? ? ?            ? novas_fli.so

Same for the other directories' contents.
When I try to chown -R or chgrp -R or rm -rf for project/  I get permission denied.  How can I use chown to set something valid (e.g., user proj1) so I can get rid of these directories/files??

Thanks.
Richard